import { AsyncStartData, PaginationInternal } from '../../../../types/paginationInternal';
import { Pagination } from '../../../../types/pagination';
import { ActiveTable } from '../../../../activeTable';
export declare class PaginationAsyncStartData {
    private static fillTotalDataRows;
    static populate(at: ActiveTable, startData: AsyncStartData): void;
    static get(at: ActiveTable, pagination: Pagination, paginationInternal: PaginationInternal): Promise<{
        totalDataRows: number;
        data: (string | number)[][];
        failed?: undefined;
    } | {
        totalDataRows: number;
        data: string[][];
        failed: boolean;
    } | undefined>;
}
//# sourceMappingURL=paginationAsyncStartData.d.ts.map