import { PaginationAsync } from '../../../../types/pagination';
import { TableData } from '../../../../types/tableData';
import { ActiveTable } from '../../../../activeTable';
export declare class PaginationAsyncUtils {
    static displayError(e: unknown, at: ActiveTable): void;
    private static setNewElementText;
    static insertData(at: ActiveTable, data: TableData, buttonNumber: number): void;
    static getAndApplyNewData(at: ActiveTable, async: PaginationAsync, buttonNumber: number, rows?: string): Promise<void>;
    private static isAsyncPagination;
    static removeLoadingOverlay(at: ActiveTable): void;
    static preprocessTablePropertiesIfAsync(at: ActiveTable): void;
}
//# sourceMappingURL=paginationAsyncUtils.d.ts.map